ExtUtils::MM_Cygwin(3p)

NAME
ExtUtils::MM_Cygwin - methods to override UN*X behaviour in ExtUtils::MakeMaker

SYNOPSIS
 use ExtUtils::MM_Cygwin; # Done internally by ExtUtils::MakeMaker if needed

DESCRIPTION
See ExtUtils::MM_Unix for a documentation of the methods provided there.

os_flavor
    We're Unix and Cygwin.

cflags
    if configured for dynamic loading, triggers #define EXT in EXTERN.h

replace_manpage_separator
    replaces strings '::' with '.' in MAN*POD man page names

init_linker
    points to libperl.a

maybe_command
    If our path begins with /cygdrive/ then we use "ExtUtils::MM_Win32" to determine if it may be a command. Otherwise we use the tests from "ExtUtils::MM_Unix".

dynamic_lib
    Use the default to produce the *.dll's. But for new archdir dll's use the same rebase address if the old exists.

all_target
    Build man pages, too